<template>
	<div>
		<v-form @submit.prevent="submitStudent()">
			<v-card>
				<v-parallax height="300" src="https://cdn.vuetifyjs.com/images/parallax/material2.jpg"></v-parallax>
				<v-card-title primary-title> Add Students </v-card-title>
				<v-card-text>
					<v-row v-for="(student, index) in students" :key="index">
						<v-col v-if="index > 0" class="d-flex justify-end" cols="12">
							<v-btn @click="$emit('remove-row', index)" small color="red" class="white--text">Remove</v-btn>
						</v-col>
						<v-col cols="12" md="4">
							<v-text-field v-model="student.studentNo" label="Student Number" outlined></v-text-field>
						</v-col>
						<v-col cols="12" md="4">
							<v-text-field v-model="student.email" label="Email" outlined></v-text-field>
						</v-col>
						<v-col cols="12" md="4">
							<v-text-field v-model="student.name" label="Name" outlined></v-text-field>
						</v-col>
					</v-row>
				</v-card-text>
				<v-card-actions class="d-flex justify-end">
					<v-btn small @click="addRow()" color="primary">Add Row</v-btn>
				</v-card-actions>
			</v-card>
			<v-card-actions class="d-flex justify-end">
				<v-btn type="submit" color="secondary" class="black--text">Submit</v-btn>
			</v-card-actions>
		</v-form>
	</div>
</template>

<script>
export default {
	name: 'AddStudent',
	props: {
		students: {
			type: Array,
			default: () => [],
		},
	},

	methods: {
		addRow() {
			this.$emit('add-row');
		},
		submitStudent() {
			this.$emit('submit-form');
		},
	},
};
</script>
